function y = NRZCoder(info_bits)
%
% Usage: y = NRZCoder(info_bits)
%
% Purpose = This module generates a sampled, NRZ coded signal.
%
% Input Signal(info_bits) = Bit sequence (integer)
% Output Signal(y) = Electrical NRZ coded signal
%
%------------------------------------------------------------
% $ Revision: 1.0 $ Date: 2011/02/22 by Jong-Hyung Lee  
%------------------------------------------------------------
%
%==============================================================
global samplesperbit

NRZelectrical = ones(samplesperbit,1)*info_bits;
y = NRZelectrical(:);
